/*
 * pgi_gpio.h
 *
 *  Created on: 21 nov. 2021
 *      Author: Jonatan
 */

#ifndef GENERIC_INTERFACES_PGI_GPIO_H_
#define GENERIC_INTERFACES_PGI_GPIO_H_

typedef struct pgi_gpio_pin_s pgi_gpio_pin_t;

typedef enum
{
	PGI_GPIO_LOW,
	PGI_GPIO_HIGH,
} pgi_gpio_pin_state_t;

void pgi_gpio_set(pgi_gpio_pin_t *pin);
void pgi_gpio_clear(pgi_gpio_pin_t *pin);
void pgi_gpio_toggle(pgi_gpio_pin_t *pin);
void pgi_gpio_write(pgi_gpio_pin_t *pin, pgi_gpio_pin_state_t ps);

#endif /* GENERIC_INTERFACES_PGI_GPIO_H_ */
